Don’t build against libreactor-core-java since it depends on RC-buggy openhft

parent 28596c58
......@@ -75,7 +75,7 @@ Build-Depends-Indep: bsh,
libprotobuf-java,
libprotobuf-java-format-java (>= 1.3),
libquartz2-java,
libreactor-core-java (>= 2.0.8),
# libreactor-core-java (>= 2.0.8),
librome-java (>= 1.6),
libservlet-api-java,
libtaglibs-standard-jstlel-java,
......
......@@ -15,3 +15,5 @@ org.seleniumhq.selenium htmlunit-driver * * * *
org.seleniumhq.selenium selenium-java * * * *
net.sourceforge.htmlunit htmlunit * * * *
net.sf.jasperreports jasperreports * * * *
io.projectreactor reactor-core * * * *
io.projectreactor reactor-net * * * *
......@@ -2,15 +2,18 @@
JAVA_HOME := /usr/lib/jvm/default-java
MODULES = aop beans context context-support core expression instrument jdbc jms messaging orm oxm test tx web webmvc webmvc-portlet
# MODULES = aop beans context context-support core expression instrument jdbc jms messaging orm oxm test tx web webmvc webmvc-portlet
MODULES = aop beans context context-support core expression instrument jdbc orm oxm test tx web webmvc webmvc-portlet
%:
dh $@ --buildsystem=gradle
dh $@ --buildsystem=gradle -Nlibspring-messaging-java -Nlibspring-jms-java
override_dh_auto_build:
dh_auto_build -- jar -x test -x check \
-x :spring-orm-hibernate4:compileJava \
-x :spring-orm-hibernate5:compileJava \
-x :spring-jms:compileJava \
-x :spring-messaging:compileJava \
-x :spring-instrument-tomcat:compileJava \
-x :spring-webmvc-tiles2:compileJava \
-x :spring-websocket:compileJava
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment